<style type="text/css">
table.xgridtable {
	font-family: verdana,arial,sans-serif;
	font-size:11px;
	color:#333333;
	border-width: 1px;
	border-color: #666666;
	border-collapse: collapse;
}
table.xgridtable th {
	border-width: 1px;
	padding: 8px;
	border-style: solid;
	border-color: #666666;
	background-color: #dedede;
}
table.xgridtable td {
	border-width: 1px;
	padding: 8px;
	border-style: solid;
	border-color: #666666;
	background-color: #ffffff;
}
</style>
<div style="height:40px;">
	<!--<input type="text" id="tglawalvalidasi_ceisa_ceisacar" size=15 value='<?php echo date('Y-m-d'); ?>' readonly="readonly"/> S.D <input type="text" id="tglakhirvalidasi_ceisa_ceisacar" size=15 value='<?php echo date('Y-m-d'); ?>' readonly="readonly"/>
	<button id="btnsearchdatevalidasi_ceisa_ceisa">Search Date</button>	
	<span style="padding-left:10px"/><input type="text" id="txtvalidasi_ceisa_ceisasearchcar" /><button id="btnvalidasi_ceisa_ceisasearchcar">Search car</button>-->
	TYPE BC: <select id="validasi_tipe_bc_b1" style="height:15px" >
						<option value="23">BC23</option>
						<option value="27">BC262</option>
						<option value="27">BC27</option>
						<option value="40">BC40</option>
					</select>
	<input type="hidden" id="search_validasi_month_b1" value="<?php echo $bulan; ?>">
	<input type="hidden" id="search_validasi_year_b1" value="<?php echo $tahun; ?>">
	<button id="btnprosesdatevalidasi_ceisa_ceisa">EXCEL PAJAK</button> 
</div>
<table id="tbl_validasi_ceisa_ceisa_macthing"></table> <div id="ptbl_validasi_ceisa_ceisa_macthing"></div>
<script type="text/javascript">
    
    $(document).ready(function(){
		var currentDate = new Date(); 
		var datesetopt = {
			showOn: "button",
			buttonImageOnly: true,
			buttonImage: "<?php echo base_url()."assets/images/icons/16x16/timespan.png"  ?>",
			buttonText: "Tanggalan",
			dateFormat: 'yy-mm-dd'
		};
		/*
		$("#tglawalvalidasi_ceisa_ceisacar").datepicker(datesetopt);
		$("#tglakhirvalidasi_ceisa_ceisacar").datepicker(datesetopt); 
		$("#btnsearchdatevalidasi_ceisa_ceisa").button().click(function(){
			$("#txtvalidasi_ceisa_ceisasearchcar").val('');
			var form_data = {'q':'1', 'tglawalvalidasi_ceisa_ceisacar':$("#tglawalvalidasi_ceisa_ceisacar").val(), 'tglakhirvalidasi_ceisa_ceisacar':$("#tglakhirvalidasi_ceisa_ceisacar").val(), 'car':''};
			jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid('setGridParam', { postData:form_data });
			$("#tbl_validasi_ceisa_ceisa_macthing").trigger("reloadGrid");
		
		});
		/*
		$("#btnvalidasi_ceisa_ceisasearchcar").button().click(function(){
		    var car = $("#txtvalidasi_ceisa_ceisasearchcar").val();
			var form_data = {'q':'1', 'car':car};
			jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid('setGridParam', { postData:form_data });
			$("#tbl_validasi_ceisa_ceisa_macthing").trigger("reloadGrid");
		
		});
		*/
		/* $('#txtvalidasi_ceisa_ceisasearchcar').keypress(function(event){
 
			var keycode = (event.keyCode ? event.keyCode : event.which);
			if(keycode == '13'){
				var form_data = {'q':'1', 'car':$("#txtvalidasi_ceisa_ceisasearchcar").val()};
				jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid('setGridParam', { postData:form_data });
				$("#tbl_validasi_ceisa_ceisa_macthing").trigger("reloadGrid");
			}
		 
		}); */
		/*
		$("#btnmatchcekdokvalidasi_ceisa_ceisa").button().click(function(){
			var id = jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid('getGridParam','selrow');
			if (id) { 
				var ret = jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid('getRowData',id);
				
			} else {
				alert("Please Select Row");
				return false;
			};	
			
			var form_data= {
				car:ret.CAR
				
			}
			
			
			
			$.ajax({
				url : "<?php echo base_url().'exim/ct_validasi_ceisa/cekdokmacthing_ceisa'; ?>",
				type : 'POST',
				dataType: 'json',
				data : form_data,
				success: function(msg){
					$("#dlgdokmatchingvalidasi_ceisa_ceisa").dialog( "destroy" );
					$(".dlgdokmatchingvalidasi_ceisa_ceisacl").remove();
					$(".dlgdokmatchingvalidasi_ceisa_ceisacl").html('');
					//console.log(msg);
					var json_obj = $.parseJSON(msg);//parse JSON
					var tbl="<table class='xgridtable'><tr><td>DOK NO</td><td>DOK KODE</td><td>DOK TGL</td></tr>";
					$.each(msg, function(i, value) {
						tbl+="<tr><td>"+value.dokno+"</td>"+"<td>"+value.dokkd+"</td>"+"<td>"+value.doktg+"</td>"+"</tr>"
					});
					tbl+="</table>"
					
					$("body").append('<div id="dlgdokmatchingvalidasi_ceisa_ceisa" title="DOK validasi_ceisa_ceisa" class="dlgdokmatchingvalidasi_ceisa_ceisacl">'
					  +	tbl
					  + '</div>');
					$("#dlgdokmatchingvalidasi_ceisa_ceisa").dialog({
						height: 400,
						width: 350,
						modal: true,
						hide: 'Slide',
						autoOpen: 'false',
						buttons: {
						
						"CLOSE": function() {
								$( "#dlgdokmatchingvalidasi_ceisa_ceisa" ).dialog( "close" );

							}
						},
						close : function(){
							$('#dlgdokmatchingvalidasi_ceisa_ceisa').dialog("destroy"); 
							$(".dlgdokmatchingvalidasi_ceisa_ceisacl").remove(); 
							$("body").append('<div id="dlgdokmatchingvalidasi_ceisa_ceisa" title="DOK validasi_ceisa_ceisa" class="dlgdokmatchingvalidasi_ceisa_ceisacl">'
							
							+ '</div>');     
							$(".dlgdokmatchingvalidasi_ceisa_ceisacl").html('');
						},
						open: function(){
							$("body").unblock();
							
						}
					});			
				}
			});
			
			
		
		
		});
		*/
		/*
		$("#btnmatchcekdetilvalidasi_ceisa_ceisa").button().click(function(){
			var id = jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid('getGridParam','selrow');
			if (id) { 
				var ret = jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid('getRowData',id);
				
			} else {
				alert("Please Select Row");
				return false;
			};	
			
			var form_data= {
				car:ret.CAR
				
			}
			
			
			
			$.ajax({
				url : "<?php echo base_url().'exim/ct_validasi_ceisa/cekdetilmacthing_ceisa'; ?>",
				type : 'POST',
				dataType: 'json',
				data : form_data,
				success: function(msg){
					$("#dlgdetilkmatchingvalidasi_ceisa_ceisa").dialog( "destroy" );
					$(".dlgdetilkmatchingvalidasi_ceisa_ceisacl").remove();
					$(".dlgdetilkmatchingvalidasi_ceisa_ceisacl").html('');
					//console.log(msg);
					var json_obj = $.parseJSON(msg);//parse JSON
					var tbl="<table class='xgridtable'><tr><td>NO</td><td>KATEGORI_BARANG</td><td>POS_TARIF</td><td>KODE_BARANG</td><td>TIPE</td><td>URAIAN</td><td>JUMLAH_SATUAN</td><td>HARGA_SATUAN</td></tr>";
					$.each(msg, function(i, value) {
						tbl+="<tr><td>"+value.nomor+"</td>"+"<td>"+value.KATEGORI_BARANG+"</td>"+"<td>"+value.POS_TARIF+"</td>"+"<td>"+value.KODE_BARANG+"</td>"+"<td>"+value.TIPE+"</td>"+"<td>"+value.URAIAN+"</td>"+"<td>"+value.JUMLAH_SATUAN+"</td>"+ "<td>"+value.HARGA_SATUAN+"</td>" +"</tr>"
					});
					tbl+="</table>"
					
					$("body").append('<div id="dlgdetilkmatchingvalidasi_ceisa_ceisa" title="DOK validasi_ceisa_ceisa" class="dlgdetilkmatchingvalidasi_ceisa_ceisacl">'
					  +	tbl
					  + '</div>');
					$("#dlgdetilkmatchingvalidasi_ceisa_ceisa").dialog({
						height: 400,
						width: 850,
						modal: true,
						hide: 'Slide',
						autoOpen: 'false',
						buttons: {
						
						"CLOSE": function() {
								$( "#dlgdetilkmatchingvalidasi_ceisa_ceisa" ).dialog( "close" );

							}
						},
						close : function(){
							$('#dlgdetilkmatchingvalidasi_ceisa_ceisa').dialog("destroy"); 
							$(".dlgdetilkmatchingvalidasi_ceisa_ceisacl").remove(); 
							$("body").append('<div id="dlgdetilkmatchingvalidasi_ceisa_ceisa" title="DOK validasi_ceisa_ceisa" class="dlgdetilkmatchingvalidasi_ceisa_ceisacl">'
							
							+ '</div>');     
							$(".dlgdetilkmatchingvalidasi_ceisa_ceisacl").html('');
						},
						open: function(){
							$("body").unblock();
							
						}
					});			
				}
			
			});
		});
		*/
		$("#btnprosesdatevalidasi_ceisa_ceisa").button().click(function(){
			document.location.href = '<?php echo base_url().'accounting_report/ct_accounting_report/validasi_tax_ap_b1'; ?>'+'?bulan='+$("#search_validasi_month_b1").val()+'&tahun='+$("#search_validasi_year_b1").val()+'&tipe_bc='+$("#validasi_tipe_bc_b1").val()
			
		});
		
		jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid({
			url:'<?php echo base_url().'accounting_report/ct_accounting_report/datamodul_ceisa_ar'; ?>',
			mtype : "post",
			postData:{'q':'1', 'search_validasi_month_b1':$("#search_validasi_month_b1").val(), 'search_validasi_year_b1':$("#search_validasi_year_b1").val()},
			datatype: "json",
			colNames:[ 'NOMOR AJU',
						'TG AJU'
						,'NOMOR DAFTAR'
						,'TGL DAFTAR'
						,'JNS-DOK'
						,'KDVAL'
						,'NDPBM'
						,'CIF'
						,'CIF_RP'
						,'HARGA PENYERAH'
						,'ID PENERIMA'
						,'NAMA_PENERIMA'
						,'JENIS_TARIF'
						,'NILAI_PUNGUTAN'
					],
			colModel:[
				{name:'NOMOR_AJU',index:'NOMOR_AJU', width:189, hidden:false},
				{name:'TANGGAL_AJU',index:'TANGGAL_AJU', width:89, hidden:false},
				{name:'NOMOR_DAFTAR',index:'NOMOR_DAFTAR', width:89, hidden:false},
				{name:'TANGGAL_DAFTAR',index:'TANGGAL_DAFTAR', width:89, hidden:false},
				{name:'KODE_DOKUMEN_PABEAN',index:'KODE_DOKUMEN_PABEAN', width:79, hidden:false},
				{name:'KODE_VALUTA',index:'KODE_VALUTA', width:89, hidden:false},
				{name:'NDPBM',index:'NDPBM', width:89, hidden:false, align:'right', formatter:'number'},
				{name:'CIF',index:'CIF', width:89, hidden:false, align:'right', formatter:'number'},
				{name:'CIF_RUPIAH',index:'CIF_RUPIAH', width:89, hidden:false, align:'right', formatter:'number'},
				{name:'HARGA_PENYERAHAN',index:'HARGA_PENYERAHAN', width:89, hidden:false, align:'right', formatter:'number'},
				{name:'ID_PENERIMA_BARANG',index:'ID_PENERIMA_BARANG', width:110, hidden:false},
				{name:'NAMA_PENERIMA_BARANG',index:'NAMA_PENERIMA_BARANG', width:189, hidden:false},
				{name:'JENIS_TARIF',index:'JENIS_TARIF', width:89, hidden:false},
				{name:'NILAI_PUNGUTAN',index:'NILAI_PUNGUTAN', width:189, hidden:false,align:'right', formatter:'number'},
				
				
			],
			rowNum:20,
			rowList:[20,50,100],
			pager: '#ptbl_validasi_ceisa_ceisa_macthing',
			sortname: 'NOMOR_AJU',
			viewrecords: true,
			sortorder: "desc",
			width:970,
			height:280,
			jsonReader: { repeatitems : false },
			caption:"DATA CAR MODUL",
			rownumbers: true,
			shrinkToFit: false,
			afterInsertRow: function(){
				
				
			},
			gridComplete: function(){
				var rowIDs = jQuery("#tbl_validasi_ceisa_ceisa_macthing").getDataIDs(); 
				var rowData = $("#tbl_validasi_ceisa_ceisa_macthing").getRowData();
			
				for (var i = 0; i < rowData.length; i++) 
				{
				    var trElement = jQuery("#"+ rowIDs[i],jQuery('#tbl_validasi_ceisa_ceisa_macthing'));
					
					if(rowData[i].carx == ''){
						trElement.css({"color":"green"});
					} else if (rowData[i].NOMOR_DAFTAR != ''){
						trElement.css({"color":"red"});
					} else {
						trElement.css({"color":"black"});
					}
				}
			},
		}); 
		
		jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid('navGrid','#ptbl_validasi_ceisa_ceisa_macthing',{del:false,add:false,edit:false},{},{},{},{multipleSearch:false});
		jQuery("#tbl_validasi_ceisa_ceisa_macthing").jqGrid('filterToolbar',{stringResult: true,searchOnEnter : true, defaultSearch: 'cn', ignoreCase: true});
		
		

	});
		  	
</script>



	
	